import express from 'express';
const router = express.Router();

import * as usersController from '../controllers/usersController.js';

// GET request for User Profile Info
router.get('/:id', usersController.users_profile_get);

// POST request for User Profile Info
router.post('/:id/update-profile', usersController.users_profile_post);

// GET request for Inbox default
router.get('/:id/inbox', usersController.users_inbox_get);

// GET request for Inbox recent
router.get('/:id/inbox/recent', usersController.users_inbox_recent_get);

// GET request for Inbox relevant
router.get('/:id/inbox/relevant', usersController.users_inbox_relevant_get);

// GET request for Inbox priority
router.get('/:id/inbox/priority', usersController.users_inbox_priority_get);


module.exports = router;